<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/almacenes_odoo.php';

$almacenes = AlmacenesOdoo::mdlGetIdAlmacenesOdoo();
$response = array();

if (!$almacenes) {
    $response['response'] = 'error';
    $response['message'] = 'No se encontraron almacenes';
    echo json_encode($response);
    return;
}

// foreach ($almacenes as $key => $value) {
//     // $subcategorias = Subcategoria::mdlGetSubcategoriaByCategoria($value['id_categoria']);
//     // $almacenes[$key]['imagen'] = Ruta::getRutaSitioAdministracion() . '/' . $value['imagen'];
//     // $almacenes[$key]['subcategorias'] = $subcategorias;
// }

$response['response'] = 'success';
$response['data'] = $almacenes;
echo json_encode($response);
